# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.1.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [0.3.2] - 2025-04-07

### Fixed

- Handle invalid number of arguments pass to functions/ogCopyFile

## [0.3.1] - 2025-04-03

### Fixed

- Fixed invocation to ogCheckIpAddress in interfaceAdm/CrearImagen.py

## [0.3.0] - 2025-04-03

### Removed

- Removed burg and rsync 3.1

## [0.2.6] - 2025-03-31

### Fixed

- Restore qt4 browser

## [0.2.5] - 2025-03-31

### Fixed

- Don't require protoopts in interfaceAdm/RestaurarImagen.py

## [0.2.4] - 2025-03-28

### Removed

- Removed burg, QT4 stuff, rsync 3.1 and the old browser

## [0.2.3] - 2025-03-28

### Fixed

- Fixed some errors in Configurar.py, ogCreateCache, ogCreatePartitions and initCache.py

## [0.2.2] - 2025-03-26

### Fixed

- Prevent EjecutarScript.py from capturing the output of the script

## [0.2.1] - 2025-03-26

### Fixed

- Run scripts with bash to avoid errno 8 "Exec format error"

## [0.2.0] - 2025-03-25

### Added

- getConfiguration.py now collects the firmware type
- Configurar.py now creates partition tables of the right type (MSDOS/GPT) for each machine

## [0.1.1] - 2025-03-19

### Added

- Missing functions in BootLib
- Some interfaceAdm python scripts

## [0.1.0] - 2025-02-28

### Added

- Merge pull request 'Include all client files, build debian package' (#2) from deb-package into main
